/*******************************************************************************
 *
 * NAME            rmem-mgr.h
 * VERSION         %version:  1%
 * UPDATE DATE     %date_modified: Mon Aug 15 10:11:02 2016 %
 * PROGRAMMER      %created_by:    tish %
 *
 *         Copyright 2016 NetApp, Inc. All Rights Reserved.
 *
 *******************************************************************************/

#ifndef __INCrmem_mgr
#define __INCrmem_mgr


/***  INCLUDES  ***/
#include "linux/types.h"

typedef void (*eki_clear_memory_t)(void*, unsigned long, bool);

extern void* rmem_kernel_log_memory(unsigned long* length,
                                    unsigned long* physAddr);
extern void  rmem_register_clear_memory(eki_clear_memory_t eki_clear_memory);
extern void  rmem_eos_rpa_memory(unsigned long* eosAddr,
                                 unsigned long* eosLength,
                                 unsigned long* rpaAddr);

#endif        /* End of __INCrmem_mgr */
